Installation FAQ for NOLF 1.006
Contents
Game installation:
Install Nolf v1.001 from CD
Install Nolf v1.004 GOTY from CD
  
Needed unofficial updates:
Update to 1.006 - Modernizer
Custom Map Pack
Known Issues:
Invalid Cshell.dll File
NolfRevival version will not work online
NolfRevival version will not load 1.006 - Modernizer
Nolf will not run in windows 10
Nolf couldn't set D3D Emulation mode
Nolf keeps showing graphical errors (flickering)

 

 

 

 

 

Graphical errors (flickering)
You have nolf running, but graphics are flickering and stuff is missing.. What now...

 

 

My guess is that you have a AMD chip on your graphic card and from what I understand, legacy Direct support is limited in some of their drivers. Nothing could be done in the 1.006 modernizer patch to fix this, because of unreleased code.

 

The available repair for now is running NOLF with the DgVoodoo DirectX Wrapper

 

If you have the NolfRevival version, then you can skip the download and extract step. The needed files are already installed.

 

 

dgVoodoo is a legacy DirectX and 3DFX Glide wrapper program.

The purpose of this software is to translate or wrap function calls to old, legacy graphics API (application programming interface) functions into calls to the much more modern Direct3D 11.

In other words, it acts as a translator, changing old games to run with newer, modern graphics techniques.

Using the wrapper is very easy, and you can try it with any game that uses DirectX or Direct Draw versions 1 to 8, or any game that uses 3DFX/Glide.

Of course, since this software uses Direct3D 11, you will need a graphics card or chip capable of using this version of DirectX

 

Unzip these files into your game folder and start the launcher

 

Click Display

 

 

Under Displays, choose the DgVoodoo DirectX Wrapper (display) and hit Ok

 

 

Start the game and check if the problem is gone

 

 

 

 

 

 

 

 

 

Back to contents